commit:     5cd784de96947e0ab5bbfce3903765608c2ee295
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 30 19:51:12 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Oct 30 19:51:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cd784de

net-misc/istioctl: Initial version

Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 net-misc/istioctl/Manifest              |  1 +
 net-misc/istioctl/istioctl-1.0.2.ebuild | 35 +++++++++++++++++++++++++++++++++
 net-misc/istioctl/metadata.xml          | 11 +++++++++++
 3 files changed, 47 insertions(+)

diff --git a/net-misc/istioctl/Manifest b/net-misc/istioctl/Manifest
new file mode 100644
index 00000000000..5d3dc14d644
--- /dev/null
+++ b/net-misc/istioctl/Manifest
@@ -0,0 +1 @@
+DIST istioctl-1.0.2.tar.gz 18828091 BLAKE2B 
064e9ad8b2629809c7b55514ad0a537bae8785bfebabea610a54ead0a0e665cdc718218376e07dcf5e235f8674bdd9e2eaa7a79bfd5d5485a5ddc841e1c52527
 SHA512 
d444dd8e0676ac9b36dc3901595f15d6504991619a82057f924141f752d2a45866df9ca388d6c63e1fbe43be4d4156f3efc748be59b565f865a0c5b3d02bda07

diff --git a/net-misc/istioctl/istioctl-1.0.2.ebuild 
b/net-misc/istioctl/istioctl-1.0.2.ebuild
new file mode 100644
index 00000000000..4f3d1ba3c9a
--- /dev/null
+++ b/net-misc/istioctl/istioctl-1.0.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot
+
+GIT_COMMIT="d639408fded355fb906ef2a1f9e8ffddc24c3d64"
+
+KEYWORDS="~amd64"
+DESCRIPTION="Istio configuration command line utility"
+EGO_PN="istio.io/istio"
+HOMEPAGE="https://github.com/istio/istio";
+MY_PV=${PV/_/-}
+SRC_URI="https://github.com/istio/istio/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+RESTRICT="test"
+
+src_compile() {
+       pushd "src/${EGO_PN}" || die
+       BUILDINFO="istio.io/istio/pkg/version.buildVersion=${PV}
+               istio.io/istio/pkg/version.buildGitRevision=${GIT_COMMIT}
+               istio.io/istio/pkg/version.buildStatus=Clean" \
+       VERBOSE=1 GOPATH="${WORKDIR}/${P}" TAG=${PV} emake istioctl
+       popd || die
+}
+
+src_install() {
+       dobin out/linux_amd64/release/${PN}
+       pushd "src/${EGO_PN}" || die
+       dodoc README.md
+}

diff --git a/net-misc/istioctl/metadata.xml b/net-misc/istioctl/metadata.xml
new file mode 100644
index 00000000000..25597e3863f
--- /dev/null
+++ b/net-misc/istioctl/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Manuel Rüger</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">istio/istio</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to